<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2012 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: fp_under_construction_panel_admin.php
| Author: Fangree Productions
| Version: V1.00
| Developers: Fangree_Craig
| Site: http://www.fangree.com
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "../../maincore.php";
require_once THEMES."templates/admin_header.php";
include LOCALE.LOCALESET."admin/settings.php";
require_once INCLUDES."bbcode_include.php";
include INFUSIONS."fp_under_construction_panel/infusion_db.php";

if (!checkrights("UCO")||!defined("iAUTH")||$_GET['aid']!=iAUTH) { redirect("../index.php"); }

if (file_exists(INFUSIONS."fp_under_construction_panel/locale/".$settings['locale'].".php")) {
	include INFUSIONS."fp_under_construction_panel/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."fp_under_construction_panel/locale/English.php";
}

add_to_head("<style type='text/css'> 

	.on {
	height: 16px;
	width: 16px;
	border: 0px;
	float: right;
	margin-top: 5px;
	padding-right: 125px;
	}
	
	.off {
	height: 16px;
	width: 16px;
	border: 0px;
	float: right;
	margin-top: 5px;
	padding-right: 125px;
	}
	
	.tipsy {
	opacity:.8;
	filter:alpha(opacity=80);
	background-repeat:no-repeat;
	padding:5px;
    }
	
    .tipsy-inner {
	padding:8px 8px;
	max-width:200px;
	font:11px 'Lucida Grande', sans-serif;
	font-weight:bold;
	-moz-border-radius:4px;
	-khtml-border-radius:4px;
	-webkit-border-radius:4px;
	border-radius:4px;
	-moz-box-shadow: 0 0 3px #888;
	-webkit-box-shadow: 0 0 3px #888;
	box-shadow: 0 0 3px #888;
	background-color:#555;
	color:white;
	text-align:left;
    }
	
    .tipsy-east {
	opacity:.9;
	filter:alpha(opacity=90);
	background-image:url(".INFUSIONS."fp_under_construction_panel/images/tipsy-east.gif);
	background-position:right center;
    }

    </style>");
	



add_to_title($locale['global_200'].$locale['uco_001']);


if (isset($_GET['error']) && isnum($_GET['error']) && !isset($message)) {
	if ($_GET['error'] == 0) {
		$message = $locale['900'];
	} elseif ($_GET['error'] == 1) {
		$message = $locale['901'];
	}
	
if (isset($message)) {
		echo "<div id='close-message'><div class='admin-message'>".$message."</div></div>\n"; 
	}
}

    $uco_settings = dbarray(dbquery("SELECT * FROM ".DB_FPUCP.""));
	
    $error = 0;
    $reason = "";
	$articles_enable=(isset($_POST['articles_enable']) && isNum($_POST['articles_enable'])) ? $_POST['articles_enable'] : "0";
	$contact_enable=(isset($_POST['contact_enable']) && isNum($_POST['contact_enable'])) ? $_POST['contact_enable'] : "0";
	$custompages_enable=(isset($_POST['custompages_enable']) && isNum($_POST['custompages_enable'])) ? $_POST['custompages_enable'] : "0";
	$downloads_enable=(isset($_POST['downloads_enable']) && isNum($_POST['downloads_enable'])) ? $_POST['downloads_enable'] : "0";
	$faq_enable=(isset($_POST['faq_enable']) && isNum($_POST['faq_enable'])) ? $_POST['faq_enable'] : "0";
	$forum_enable=(isset($_POST['forum_enable']) && isNum($_POST['forum_enable'])) ? $_POST['forum_enable'] : "0";
	$news_enable=(isset($_POST['news_enable']) && isNum($_POST['news_enable'])) ? $_POST['news_enable'] : "0";	
	$photogallery_enable=(isset($_POST['photogallery_enable']) && isNum($_POST['photogallery_enable'])) ? $_POST['photogallery_enable'] : "0";
	$profile_enable=(isset($_POST['profile_enable']) && isNum($_POST['profile_enable'])) ? $_POST['profile_enable'] : "0";
	$pm_enable=(isset($_POST['pm_enable']) && isNum($_POST['pm_enable'])) ? $_POST['pm_enable'] : "0";
	$register_enable=(isset($_POST['register_enable']) && isNum($_POST['register_enable'])) ? $_POST['register_enable'] : "0";
	$search_enable=(isset($_POST['search_enable']) && isNum($_POST['search_enable'])) ? $_POST['search_enable'] : "0";
	$submit_enable=(isset($_POST['submit_enable']) && isNum($_POST['submit_enable'])) ? $_POST['submit_enable'] : "0";
	$all_enable=(isset($_POST['all_enable']) && isNum($_POST['all_enable'])) ? $_POST['all_enable'] : "0";
	$image_enable=(isset($_POST['image_enable']) && isNum($_POST['image_enable'])) ? $_POST['image_enable'] : "0";
	$redirection_enable=(isset($_POST['redirection_enable']) && isNum($_POST['redirection_enable'])) ? $_POST['redirection_enable'] : "0";

if (isset($_POST['save'])) {
   
    $result = dbquery("UPDATE ".DB_FPUCP." SET
	 articles_enable='$articles_enable', contact_enable='$contact_enable', custompages_enable='$custompages_enable', 
	 downloads_enable='$downloads_enable', faq_enable='$faq_enable', 
	 forum_enable='$forum_enable',  news_enable='$news_enable', 
	 photogallery_enable='$photogallery_enable',  profile_enable='$profile_enable', 
	 pm_enable='$pm_enable', register_enable='$register_enable',
	 search_enable='$search_enable', submit_enable='$submit_enable',
	 all_enable='$all_enable', image_enable='$image_enable', 
	 redirection_enable='$redirection_enable', reason='".stripinput($_POST['reason'])."'");
	
	if (!$result) { $error = 1; }

	redirect(FUSION_SELF.$aidlink."&error=".$error);
	
}


   opentable($locale['uco_001']." - ".$locale['uco_002']);
	echo"<div class='admin-message'>".$locale['uco_003']."</div><br />\n";

	echo "<form name='settingsform' method='post' action='".FUSION_SELF.$aidlink."'>\n";

	echo "<table cellpadding='0' cellspacing='0' width='60%' class='tbl-border center' align='center'>\n<tr>\n";

	echo "<td class='tbl'>".$locale['uco_004'].":</td>\n";
	echo "<td class='tbl'><select name='articles_enable' class='textbox' >\n";
	echo "<option value='1'".($uco_settings['articles_enable'] == "1" ? " selected='selected'" : "").">".$locale['uco_019']." ".$locale['502']."</option>\n";
	echo "<option value='0'".($uco_settings['articles_enable'] == "0" ? " selected='selected'" : "").">".$locale['uco_019']." ".$locale['503']."</option>\n";
	echo "</select>";
	if ($uco_settings['articles_enable'] == "1") { echo"<img src='".INFUSIONS."fp_under_construction_panel/images/tick.png' class='on' title='".$locale['uco_019']." ".$locale['502']."' alt='".$locale['uco_019']." ".$locale['502']."' />"; } 
	elseif($uco_settings['articles_enable'] == "0") { echo"<img src='".INFUSIONS."fp_under_construction_panel/images/cross.png' class='off' title='".$locale['uco_019']." ".$locale['503']."' alt='".$locale['uco_019']." ".$locale['503']."' />"; }
	echo"</td>\n";
	echo "</tr>\n<tr>\n";
	
	echo "<td class='tbl'>".$locale['uco_004b'].":</td>\n";
	echo "<td class='tbl'><select name='contact_enable' class='textbox'>\n";
	echo "<option value='1'".($uco_settings['contact_enable'] == "1" ? " selected='selected'" : "").">".$locale['uco_019']." ".$locale['502']."</option>\n";
	echo "<option value='0'".($uco_settings['contact_enable'] == "0" ? " selected='selected'" : "").">".$locale['uco_019']." ".$locale['503']."</option>\n";
	echo "</select>";
	if ($uco_settings['contact_enable'] == "1") { echo"<img src='".INFUSIONS."fp_under_construction_panel/images/tick.png' class='on' title='".$locale['uco_019']." ".$locale['502']."' alt='".$locale['uco_019']." ".$locale['502']."' />"; } 
	elseif($uco_settings['contact_enable'] == "0") { echo"<img src='".INFUSIONS."fp_under_construction_panel/images/cross.png' class='off' title='".$locale['uco_019']." ".$locale['503']."' alt='".$locale['uco_019']." ".$locale['503']."' />"; }
	echo"</td>\n";
	echo "</tr>\n<tr>\n";

	echo "<td class='tbl'>".$locale['uco_005'].":</td>\n";
	echo "<td class='tbl'><select name='custompages_enable' class='textbox'>\n";
	echo "<option value='1'".($uco_settings['custompages_enable'] == "1" ? " selected='selected'" : "").">".$locale['uco_019']." ".$locale['502']."</option>\n";
	echo "<option value='0'".($uco_settings['custompages_enable'] == "0" ? " selected='selected'" : "").">".$locale['uco_019']." ".$locale['503']."</option>\n";
	echo "</select>";
	if ($uco_settings['custompages_enable'] == "1") { echo"<img src='".INFUSIONS."fp_under_construction_panel/images/tick.png' class='on' title='".$locale['uco_019']." ".$locale['502']."' alt='".$locale['uco_019']." ".$locale['502']."' />"; } 
	elseif($uco_settings['custompages_enable'] == "0") { echo"<img src='".INFUSIONS."fp_under_construction_panel/images/cross.png' class='off' title='".$locale['uco_019']." ".$locale['503']."' alt='".$locale['uco_019']." ".$locale['503']."' />"; }
	echo"</td>\n";
	echo "</tr>\n<tr>\n";

	echo "<td class='tbl'>".$locale['uco_006'].":</td>\n";
	echo "<td class='tbl'><select name='downloads_enable' class='textbox'>\n";
	echo "<option value='1'".($uco_settings['downloads_enable'] == "1" ? " selected='selected'" : "").">".$locale['uco_019']." ".$locale['502']."</option>\n";
	echo "<option value='0'".($uco_settings['downloads_enable'] == "0" ? " selected='selected'" : "").">".$locale['uco_019']." ".$locale['503']."</option>\n";
	echo "</select>";
	if ($uco_settings['downloads_enable'] == "1") { echo"<img src='".INFUSIONS."fp_under_construction_panel/images/tick.png' class='on' title='".$locale['uco_019']." ".$locale['502']."' alt='".$locale['uco_019']." ".$locale['502']."' />"; } 
	elseif($uco_settings['downloads_enable'] == "0") { echo"<img src='".INFUSIONS."fp_under_construction_panel/images/cross.png' class='off' title='".$locale['uco_019']." ".$locale['503']."' alt='".$locale['uco_019']." ".$locale['503']."' />"; }
	echo"</td>\n";
	echo "</tr>\n<tr>\n";

	echo "<td class='tbl'>".$locale['uco_007'].":</td>\n";
	echo "<td class='tbl'><select name='faq_enable' class='textbox'>\n";
	echo "<option value='1'".($uco_settings['faq_enable'] == "1" ? " selected='selected'" : "").">".$locale['uco_019']." ".$locale['502']."</option>\n";
	echo "<option value='0'".($uco_settings['faq_enable'] == "0" ? " selected='selected'" : "").">".$locale['uco_019']." ".$locale['503']."</option>\n";
	echo "</select>";
	if ($uco_settings['faq_enable'] == "1") { echo"<img src='".INFUSIONS."fp_under_construction_panel/images/tick.png' class='on' title='".$locale['uco_019']." ".$locale['502']."' alt='".$locale['uco_019']." ".$locale['502']."' />"; } 
	elseif($uco_settings['faq_enable'] == "0") { echo"<img src='".INFUSIONS."fp_under_construction_panel/images/cross.png' class='off' title='".$locale['uco_019']." ".$locale['503']."' alt='".$locale['uco_019']." ".$locale['503']."' />"; }
	echo"</td>\n";
	echo "</tr>\n<tr>\n";

	echo "<td class='tbl'>".$locale['uco_008'].":</td>\n";
	echo "<td class='tbl'><select name='forum_enable' class='textbox'>\n";
	echo "<option value='1'".($uco_settings['forum_enable'] == "1" ? " selected='selected'" : "").">".$locale['uco_019']." ".$locale['502']."</option>\n";
	echo "<option value='0'".($uco_settings['forum_enable'] == "0" ? " selected='selected'" : "").">".$locale['uco_019']." ".$locale['503']."</option>\n";
	echo "</select>";
	if ($uco_settings['forum_enable'] == "1") { echo"<img src='".INFUSIONS."fp_under_construction_panel/images/tick.png' class='on' title='".$locale['uco_019']." ".$locale['502']."' alt='".$locale['uco_019']." ".$locale['502']."' />"; } 
	elseif($uco_settings['forum_enable'] == "0") { echo"<img src='".INFUSIONS."fp_under_construction_panel/images/cross.png' class='off' title='".$locale['uco_019']." ".$locale['503']."' alt='".$locale['uco_019']." ".$locale['503']."' />"; }
	echo"</td>\n";
	echo"</tr><tr>\n";
		
	echo "<td class='tbl'>".$locale['uco_009'].":</td>\n";
	echo "<td class='tbl'><select name='news_enable' class='textbox'>\n";
	echo "<option value='1'".($uco_settings['news_enable'] == "1" ? " selected='selected'" : "").">".$locale['uco_019']." ".$locale['502']."</option>\n";
	echo "<option value='0'".($uco_settings['news_enable'] == "0" ? " selected='selected'" : "").">".$locale['uco_019']." ".$locale['503']."</option>\n";
	echo "</select>";
	if ($uco_settings['news_enable'] == "1") { echo"<img src='".INFUSIONS."fp_under_construction_panel/images/tick.png' class='on' title='".$locale['uco_019']." ".$locale['502']."' alt='".$locale['uco_019']." ".$locale['502']."' />"; } 
	elseif($uco_settings['news_enable'] == "0") { echo"<img src='".INFUSIONS."fp_under_construction_panel/images/cross.png' class='off' title='".$locale['uco_019']." ".$locale['503']."' alt='".$locale['uco_019']." ".$locale['503']."' />"; }
	echo"</td>\n";
	echo "</tr>\n<tr>\n";
	
	echo "<td class='tbl'>".$locale['uco_010'].":</td>\n";
	echo "<td class='tbl'><select name='photogallery_enable' class='textbox'>\n";
	echo "<option value='1'".($uco_settings['photogallery_enable'] == "1" ? " selected='selected'" : "").">".$locale['uco_019']." ".$locale['502']."</option>\n";
	echo "<option value='0'".($uco_settings['photogallery_enable'] == "0" ? " selected='selected'" : "").">".$locale['uco_019']." ".$locale['503']."</option>\n";
	echo "</select>";
	if ($uco_settings['photogallery_enable'] == "1") { echo"<img src='".INFUSIONS."fp_under_construction_panel/images/tick.png' class='on' title='".$locale['uco_019']." ".$locale['502']."' alt='".$locale['uco_019']." ".$locale['502']."' />"; } 
	elseif($uco_settings['photogallery_enable'] == "0") { echo"<img src='".INFUSIONS."fp_under_construction_panel/images/cross.png' class='off' title='".$locale['uco_019']." ".$locale['503']."' alt='".$locale['uco_019']." ".$locale['503']."' />"; }
	echo"</td>\n";
	echo "</tr>\n<tr>\n";
	
	echo "<td class='tbl'>".$locale['uco_012'].":</td>\n";
	echo "<td class='tbl'><select name='pm_enable' class='textbox'>\n";
	echo "<option value='1'".($uco_settings['pm_enable'] == "1" ? " selected='selected'" : "").">".$locale['uco_019']." ".$locale['502']."</option>\n";
	echo "<option value='0'".($uco_settings['pm_enable'] == "0" ? " selected='selected'" : "").">".$locale['uco_019']." ".$locale['503']."</option>\n";
	echo "</select>";
	if ($uco_settings['pm_enable'] == "1") { echo"<img src='".INFUSIONS."fp_under_construction_panel/images/tick.png' class='on' title='".$locale['uco_019']." ".$locale['502']."' alt='".$locale['uco_019']." ".$locale['502']."' />"; } 
	elseif($uco_settings['pm_enable'] == "0") { echo"<img src='".INFUSIONS."fp_under_construction_panel/images/cross.png' class='off' title='".$locale['uco_019']." ".$locale['503']."' alt='".$locale['uco_019']." ".$locale['503']."' />"; }
	echo"</td>\n";
	echo "</tr>\n<tr>\n";
	
	echo "<td class='tbl'>".$locale['uco_011'].":</td>\n";
	echo "<td class='tbl'><select name='profile_enable' class='textbox'>\n";
	echo "<option value='1'".($uco_settings['profile_enable'] == "1" ? " selected='selected'" : "").">".$locale['uco_019']." ".$locale['502']."</option>\n";
	echo "<option value='0'".($uco_settings['profile_enable'] == "0" ? " selected='selected'" : "").">".$locale['uco_019']." ".$locale['503']."</option>\n";
	echo "</select>";
	if ($uco_settings['profile_enable'] == "1") { echo"<img src='".INFUSIONS."fp_under_construction_panel/images/tick.png' class='on' title='".$locale['uco_019']." ".$locale['502']."' alt='".$locale['uco_019']." ".$locale['502']."' />"; } 
	elseif($uco_settings['profile_enable'] == "0") { echo"<img src='".INFUSIONS."fp_under_construction_panel/images/cross.png' class='off' title='".$locale['uco_019']." ".$locale['503']."' alt='".$locale['uco_019']." ".$locale['503']."' />"; }
	echo"</td>\n";
	echo "</tr>\n<tr>\n";
	
    echo "<td class='tbl'>".$locale['uco_013'].":</td>\n";
	echo "<td class='tbl'><select name='register_enable' class='textbox'>\n";
	echo "<option value='1'".($uco_settings['register_enable'] == "1" ? " selected='selected'" : "").">".$locale['uco_019']." ".$locale['502']."</option>\n";
	echo "<option value='0'".($uco_settings['register_enable'] == "0" ? " selected='selected'" : "").">".$locale['uco_019']." ".$locale['503']."</option>\n";
	echo "</select>";
	if ($uco_settings['register_enable'] == "1") { echo"<img src='".INFUSIONS."fp_under_construction_panel/images/tick.png' class='on' title='".$locale['uco_019']." ".$locale['502']."' alt='".$locale['uco_019']." ".$locale['502']."' />"; } 
	elseif($uco_settings['register_enable'] == "0") { echo"<img src='".INFUSIONS."fp_under_construction_panel/images/cross.png' class='off' title='".$locale['uco_019']." ".$locale['503']."' alt='".$locale['uco_019']." ".$locale['503']."' />"; }
	echo"</td>\n";
	echo "</tr>\n<tr>\n";
	
    echo "<td class='tbl'>".$locale['uco_022'].":</td>\n";
	echo "<td class='tbl'><select name='search_enable' class='textbox'>\n";
	echo "<option value='1'".($uco_settings['search_enable'] == "1" ? " selected='selected'" : "").">".$locale['uco_019']." ".$locale['502']."</option>\n";
	echo "<option value='0'".($uco_settings['search_enable'] == "0" ? " selected='selected'" : "").">".$locale['uco_019']." ".$locale['503']."</option>\n";
	echo "</select>";
	if ($uco_settings['search_enable'] == "1") { echo"<img src='".INFUSIONS."fp_under_construction_panel/images/tick.png' class='on' title='".$locale['uco_019']." ".$locale['502']."' alt='".$locale['uco_019']." ".$locale['502']."' />"; } 
	elseif($uco_settings['search_enable'] == "0") { echo"<img src='".INFUSIONS."fp_under_construction_panel/images/cross.png' class='off' title='".$locale['uco_019']." ".$locale['503']."' alt='".$locale['uco_019']." ".$locale['503']."' />"; }
	echo"</td>\n";
	echo "</tr>\n<tr>\n";
	
    echo "<td class='tbl'>".$locale['uco_023'].":</td>\n";
	echo "<td class='tbl'><select name='submit_enable' class='textbox'>\n";
	echo "<option value='1'".($uco_settings['submit_enable'] == "1" ? " selected='selected'" : "").">".$locale['uco_019']." ".$locale['502']."</option>\n";
	echo "<option value='0'".($uco_settings['submit_enable'] == "0" ? " selected='selected'" : "").">".$locale['uco_019']." ".$locale['503']."</option>\n";
	echo "</select>";
	if ($uco_settings['submit_enable'] == "1") { echo"<img src='".INFUSIONS."fp_under_construction_panel/images/tick.png' class='on' title='".$locale['uco_019']." ".$locale['502']."' alt='".$locale['uco_019']." ".$locale['502']."' />"; } 
	elseif($uco_settings['submit_enable'] == "0") { echo"<img src='".INFUSIONS."fp_under_construction_panel/images/cross.png' class='off' title='".$locale['uco_019']." ".$locale['503']."' alt='".$locale['uco_019']." ".$locale['503']."' />"; }
	echo"</td>\n";
	echo "</tr>\n<tr>\n";
	
	echo "<td class='tbl'>".$locale['uco_014'].":</td>\n";
	echo "<td class='tbl'><select name='all_enable' class='textbox'>\n";
	echo "<option value='1'".($uco_settings['all_enable'] == "1" ? " selected='selected'" : "").">".$locale['uco_019']." ".$locale['502']."</option>\n";
	echo "<option value='0'".($uco_settings['all_enable'] == "0" ? " selected='selected'" : "").">".$locale['uco_019']." ".$locale['503']."</option>\n";
	echo "</select>";
	if ($uco_settings['all_enable'] == "1") { echo"<img src='".INFUSIONS."fp_under_construction_panel/images/tick.png' class='on' title='".$locale['uco_019']." ".$locale['502']."' alt='".$locale['uco_019']." ".$locale['502']."' />"; } 
	elseif($uco_settings['all_enable'] == "0") { echo"<img src='".INFUSIONS."fp_under_construction_panel/images/cross.png' class='off' title='".$locale['uco_019']." ".$locale['503']."' alt='".$locale['uco_019']." ".$locale['503']."' />"; }
	echo"</td>\n";
	echo "</tr>\n";
	echo"</table>";
	
	echo"<br /><div class='admin-message'>".$locale['uco_024']."</div><br />\n";
    
	echo "<table cellpadding='0' cellspacing='0' width='60%' class='tbl-border center' align='center'>\n<tr>\n";
	echo "<td class='tbl'><span id='ani-img-tip' title='".$locale['uco_028']."'><img style='border: 0px; vertical-align:middle;' src='".INFUSIONS."fp_under_construction_panel/images/help.png' alt='".$locale['uco_027']."'/></span> ".$locale['uco_020'].":</td>\n";
	echo "<td class='tbl' ><select name='image_enable' class='textbox'>\n";
	echo "<option value='1'".($uco_settings['image_enable'] == "1" ? " selected='selected'" : "").">".$locale['502']."</option>\n";
	echo "<option value='0'".($uco_settings['image_enable'] == "0" ? " selected='selected'" : "").">".$locale['503']."</option>\n";
	echo "</select>";
	if ($uco_settings['image_enable'] == "1") { echo"<img src='".INFUSIONS."fp_under_construction_panel/images/tick.png' class='on' title='".$locale['uco_019']." ".$locale['502']."' alt='".$locale['uco_019']." ".$locale['502']."' />"; } 
	elseif($uco_settings['image_enable'] == "0") { echo"<img src='".INFUSIONS."fp_under_construction_panel/images/cross.png' class='off' title='".$locale['uco_019']." ".$locale['503']."' alt='".$locale['uco_019']." ".$locale['503']."' />"; }
	echo"</td>\n";
	echo "</tr><tr>\n";
	
	echo "<td class='tbl'><span id='redir-page-tip' title='".$locale['uco_029']."'><img style='border: 0px; vertical-align:middle;' src='".INFUSIONS."fp_under_construction_panel/images/help.png' alt='".$locale['uco_027']."'/></span> ".$locale['uco_021'].":</td>\n";
	echo "<td class='tbl' width='73%'><select name='redirection_enable' class='textbox'>\n";
	echo "<option value='1'".($uco_settings['redirection_enable'] == "1" ? " selected='selected'" : "").">".$locale['502']."</option>\n";
	echo "<option value='0'".($uco_settings['redirection_enable'] == "0" ? " selected='selected'" : "").">".$locale['503']."</option>\n";
	echo "</select>";
	if ($uco_settings['redirection_enable'] == "1") { echo"<img src='".INFUSIONS."fp_under_construction_panel/images/tick.png' class='on' title='".$locale['uco_019']." ".$locale['502']."' alt='".$locale['uco_019']." ".$locale['502']."' />"; } 
	elseif($uco_settings['redirection_enable'] == "0") { echo"<img src='".INFUSIONS."fp_under_construction_panel/images/cross.png' class='off' title='".$locale['uco_019']." ".$locale['503']."' alt='".$locale['uco_019']." ".$locale['503']."' />"; }
	echo"</td>\n";
	echo "</tr><tr>\n";
	
	echo "<td style='vertical-align: top;' class='tbl'><span id='reason-tip' title='".$locale['uco_030']."'><img style='border: 0px; vertical-align:middle;' src='".INFUSIONS."fp_under_construction_panel/images/help.png' alt='".$locale['uco_027']."'/></span> ".$locale['uco_025'].":</td>\n";
	echo "<td class='tbl'><textarea name='reason' cols='60' rows='5'  class='textbox' style='width:220px;'>".stripslashes($uco_settings['reason'])."</textarea><br />\n";
	echo display_bbcodes("220px", "reason", "settingsform", "smiley|url|img|b|i|u|left|center|right|small|big|color")."\n";
    echo "</td>\n</tr>\n<tr>\n";
	echo"</table>";
	
	echo "<div width='60%' class='tbl' align='center'>\n";
	echo "<input type='submit' name='save' value='".$locale['uco_015']."' class='button' />\n";
	echo"</div>\n";
	echo "</form>\n";
    
	// COPYRIGHT DO NOT REMOVE
	echo"<div class='side small' style='padding-top:5px; text-align:right; color:#000;'>FP Under Construction Panel Copyright &copy; 2012 <a href='http://www.fangree.com'>Fangree Productions</a></div>\n";
     
  closetable();
   
add_to_footer("<script src='".BASEDIR."infusions/fp_under_construction_panel/includes/jquery.tipsy.js' type='text/javascript'></script>
<script type='text/javascript'>
    $(function() {
	  $('#ani-img-tip').tipsy({gravity: 'e'});  
	    $('#redir-page-tip').tipsy({gravity: 'e'});   
		  $('#reason-tip').tipsy({gravity: 'e'});  
    });
  </script>");

require_once THEMES."templates/footer.php";
?>