<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2012 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: infusion.php
| Developers: Fangree_Craig, Nick Jones
| Site: http://www.fangree.com
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }

include INFUSIONS."fp_under_construction_panel/infusion_db.php";

if (file_exists(INFUSIONS."fp_under_construction_panel/locale/".$settings['locale'].".php")) {
	include INFUSIONS."fp_under_construction_panel/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."fp_under_construction_panel/locale/English.php";
}

// Infusion general information
$inf_title = $locale['uco_001'];
$inf_description = $locale['uco_001b'];
$inf_version = "1.00";
$inf_developer = "Fangree Productions ";
$inf_email = "admin@fangree.com";
$inf_weburl = "http://www.fangree.com";

$inf_folder = "fp_under_construction_panel";

$inf_newtable[1] = DB_FPUCP." (
articles_enable TINYINT(1) UNSIGNED DEFAULT '0' NOT NULL,
contact_enable TINYINT(1) UNSIGNED DEFAULT '0' NOT NULL,
custompages_enable TINYINT(1) UNSIGNED DEFAULT '0' NOT NULL,
downloads_enable TINYINT(1) UNSIGNED DEFAULT '0' NOT NULL,
faq_enable TINYINT(1) UNSIGNED DEFAULT '0' NOT NULL,
forum_enable TINYINT(1) UNSIGNED DEFAULT '0' NOT NULL,
news_enable TINYINT(1) UNSIGNED DEFAULT '0' NOT NULL,
photogallery_enable TINYINT(1) UNSIGNED DEFAULT '0' NOT NULL,
profile_enable TINYINT(1) UNSIGNED DEFAULT '0' NOT NULL,
pm_enable TINYINT(1) UNSIGNED DEFAULT '0' NOT NULL,
register_enable TINYINT(1) UNSIGNED DEFAULT '0' NOT NULL,
search_enable TINYINT(1) UNSIGNED DEFAULT '0' NOT NULL,
submit_enable TINYINT(1) UNSIGNED DEFAULT '0' NOT NULL,
all_enable TINYINT(1) UNSIGNED DEFAULT '0' NOT NULL,
image_enable TINYINT(1) UNSIGNED DEFAULT '0' NOT NULL,
redirection_enable TINYINT(1) UNSIGNED DEFAULT '0' NOT NULL,
reason TEXT NOT NULL,
PRIMARY KEY (articles_enable)
) ENGINE=MyISAM;";

$inf_insertdbrow[1] = DB_FPUCP." (articles_enable, contact_enable, custompages_enable, downloads_enable, faq_enable, forum_enable, news_enable, photogallery_enable, profile_enable, pm_enable, register_enable, search_enable, submit_enable, all_enable, image_enable, redirection_enable, reason) VALUES ('0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '".$locale['uco_026']."')";
$inf_insertdbrow[2] = DB_PANELS." SET panel_name='".$locale['uco_001']."', panel_filename='fp_under_construction_panel', panel_content='', panel_side='2', panel_type='file', panel_access='0', panel_display='1', panel_status='1', panel_url_list='', panel_restriction='0'";
$inf_droptable[1] = DB_FPUCP;
$inf_deldbrow[1] = DB_PANELS." WHERE panel_filename='fp_under_construction_panel'";

$inf_adminpanel[1] = array(
	"title" => $locale['uco_001'],
	"image" => "",
	"panel" => "fp_under_construction_panel_admin.php",
	"rights" => "UCO"
);

?>